=== debian/changelog ===
sdbus-cpp (0.8.3-4~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Jun 2021 12:52:11 -0700

sdbus-cpp (0.8.3-4~bpo10+1) buster-backports; urgency=medium

  * Non-maintainer upload.
  * Rebuild for buster-backports.
    (Closes: #984598)

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Mar 2021 16:30:07 +0000

sdbus-cpp (0.8.3-4) unstable; urgency=medium

  [ Luca Boccassi ]
  * Restrict googletest dependency to >= 1.10.0~
    The build fails with googletest 1.8.1 (buster) so document the
    minimum required version.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 03:25:32 +0800

sdbus-cpp (0.8.3-3) unstable; urgency=medium

  * Miss dependencies on libsdbus-c++-dev package

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Jan 2021 12:15:10 +0800

sdbus-cpp (0.8.3-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Jan 2021 10:05:21 +0800

sdbus-cpp (0.8.3-1) unstable; urgency=medium

  * Initial release.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 25 Dec 2020 01:37:14 +0800
