=== debian/control ===
Source: sdbus-cpp
Section: libdevel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
Rules-Requires-Root: no
Build-Depends: cmake,
               dbus,
               debhelper-compat (= 12),
               googletest (>= 1.10.0~),
               libexpat1-dev,
               libsystemd-dev,
               pkg-config
Build-Depends-Indep: doxygen
Standards-Version: 4.5.1
Homepage: https://github.com/Kistler-Group/sdbus-cpp
Vcs-Git: https://salsa.debian.org/zhsj/sdbus-cpp.git
Vcs-Browser: https://salsa.debian.org/zhsj/sdbus-cpp

Package: libsdbus-c++-bin
Section: utils
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High-level C++ D-Bus library for Linux in modern C++ (utilities)
 sdbus-c++ is a high-level C++ D-Bus library for Linux designed to provide
 expressive, easy-to-use API in modern C++. It adds another layer of
 abstraction on top of sd-bus, a nice, fresh C D-Bus implementation by systemd.
 .
 This package contains binary utilities.

Package: libsdbus-c++-dev
Architecture: linux-any
Depends: libsdbus-c++-bin (= ${binary:Version}),
         libsdbus-c++0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-level C++ D-Bus library for Linux in modern C++ (development files)
 sdbus-c++ is a high-level C++ D-Bus library for Linux designed to provide
 expressive, easy-to-use API in modern C++. It adds another layer of
 abstraction on top of sd-bus, a nice, fresh C D-Bus implementation by systemd.
 .
 This package contains development files.

Package: libsdbus-c++-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High-level C++ D-Bus library for Linux in modern C++ (documentation)
 sdbus-c++ is a high-level C++ D-Bus library for Linux designed to provide
 expressive, easy-to-use API in modern C++. It adds another layer of
 abstraction on top of sd-bus, a nice, fresh C D-Bus implementation by systemd.
 .
 This package contains documentation.

Package: libsdbus-c++0
Section: libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High-level C++ D-Bus library for Linux in modern C++ (library)
 sdbus-c++ is a high-level C++ D-Bus library for Linux designed to provide
 expressive, easy-to-use API in modern C++. It adds another layer of
 abstraction on top of sd-bus, a nice, fresh C D-Bus implementation by systemd.
 .
 This package contains library.
