=== debian/changelog ===
sdbus-cpp (1.1.0-3) unstable; urgency=medium

  * Link libatomic on armel mipsel and powerpc

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 10 Feb 2022 03:25:25 +0800

sdbus-cpp (1.1.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 09 Feb 2022 23:27:21 +0800

sdbus-cpp (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump SO version to 1
  * Backport patch to fix building with googletest 1.11.0

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 06 Feb 2022 23:05:41 +0800

sdbus-cpp (0.8.3-5) unstable; urgency=medium

  [ Luca Boccassi ]
  * Mark d/rules as executable
    'dpkg-buildpackage: warning: debian/rules is not executable; fixing that'
  * Enable Multiarch support (Closes: #983335)
  * libsdbus-c++-dev: downgrade Depends on libsdbus-c++-bin to Suggests.
    It is not actually necessary to use the library headers and link against
    the shared object, it's a useful development tool. A Suggests is enough
    and doesn't have side effects on Multiarch installations.

  [ Shengjing Zhu ]
  * Add nodoc Build-Profiles
  * Add nocheck Build-Profile
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 01 Sep 2021 03:13:23 +0800
