=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,20 @@
 #!/usr/bin/make -f
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+  ENABLE_TESTS=ON
+else
+  ENABLE_TESTS=OFF
+endif
+
+ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel powerpc))
+  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
+endif
 
 %:
 	dh $@
 
 override_dh_auto_configure-arch:
-	dh_auto_configure -- -DBUILD_CODE_GEN=ON -DBUILD_TESTS=ON
+	dh_auto_configure -- -DBUILD_CODE_GEN=ON -DBUILD_TESTS=$(ENABLE_TESTS)
 
 override_dh_auto_test-arch:
 	-kill -9 $$(cat /tmp/sdbuscpp.pid)
@@ -31,6 +41,3 @@
 	dh_auto_install -- -C docs
 
 override_dh_auto_test-indep:
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
