=== debian/changelog ===
sdbus-cpp (1.2.0-2) unstable; urgency=medium

  * Replace dbus with dbus-daemon in Build-Depends
  * Backport patch to fix test with libsystemd v251 (Closes: #1022384)
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 03 Jan 2023 23:19:19 +0800

sdbus-cpp (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.6.1 (no changes)
  * Drop patch applied in new version

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Aug 2022 15:35:03 +0800
