=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  cmake,
- dbus <!nocheck>,
+ dbus-daemon <!nocheck>,
  debhelper-compat (= 13),
  libgmock-dev (>= 1.10.0~) <!nocheck>,
  libexpat1-dev,
@@ -13,7 +13,7 @@
  pkg-config,
 Build-Depends-Indep:
  doxygen <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/Kistler-Group/sdbus-cpp
 Vcs-Git: https://salsa.debian.org/zhsj/sdbus-cpp.git
 Vcs-Browser: https://salsa.debian.org/zhsj/sdbus-cpp
