=== debian/changelog ===
sdbus-cpp (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Revert "Backport patch to fix test with libsystemd v251"
  * Depends on libsystemd-dev for libsdbus-c++-dev (Closes: #1053683)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 09 Oct 2023 17:01:32 +0800
